<template>
  <div>
    <!-- PC -->
    <div class="gt-md mainWidth">
      <div class="cursor-pointer">
        <img
          :src="openPicPC(data.id)"
          alt="finnbet"
          @click="goToURL(data.urltarget)"
          style="width: 100%"
        />
      </div>
    </div>
    <!-- Mobile -->
    <div class="lt-sm">
      <div class="cursor-pointer">
        <img
          :src="openPicMobile(data.id)"
          alt="finnbet"
          @click="goToURL(data.urltarget)"
          style="width: 100%"
        />
      </div>
    </div>
    <!-- tablet -->
    <div class="gt-xs lt-lg">
      <div class="cursor-pointer">
        <img
          :src="openPicTablet(data.id)"
          alt="finnbet"
          @click="goToURL(data.urltarget)"
          style="width: 100%"
        />
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      data: {
        id: "10",
        urltarget: "",
      },
    };
  },
  methods: {
    goToURL(url) {
      window.open(url);
    },
    openPicPC(id) {
      return this.serverpath + "market/" + id + "_pc.jpg";
    },
    openPicMobile(id) {
      return this.serverpath + "market/" + id + "_mobile.jpg";
    },
    openPicTablet(id) {
      return this.serverpath + "market/" + id + "_tablet.jpg";
    },
    async loadData() {
      let url = this.serverpath + "showads.php";
      let res = await axios.get(url);
      // console.clear();
      this.data.id = res.data[0].id;
      this.data.urltarget = res.data[0].urltarget;
      //   this.data = res.data;
      //   console.log(this.data);
    },
  },
  created() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped></style>
